User Account Manager Help

March 2003 Edition, Part Number 370296C-01

This help file explains how to use the User Account Manager to create and edit the properties of groups, create or edit the properties of user accounts, assign users to one or more groups, and otherwise manage security accounts for LabVIEW and Lookout applications. Only an administrator or someone whose account is a member of the Administrator group can create, revise, or delete system user accounts.

To navigate this help file, use the Contents and Index tabs to the left of this window.

For more information about this help file, refer to the following topics:

Conventions—formatting and typographical conventions in this help file

Important Information

Technical Support Resources

To comment on the documentation, email techpubs@ni.com

© 2000-2003 National Instruments Corporation. All rights reserved.


Creating User Accounts

  1. In the User Account Manager, select User»New User.
  2. Enter the domain name of the new user in the Username field.
  3. Enter the Full Name of the user.
  4. Enter job titles or other relevant information in the Description field.
  5. Enter the user password in the Password field.
  6. Enter the password a second time in the Confirm Password field to make sure there was no typing error in the first entry.
  7. Set the Security Level for the new user. Security levels range from 0 to 10, with 10 being the highest possible security authorization. Assign level 10 access only to those people responsible for system security.
  8. Minutes idle until logoff sets how long your application runs with no operator interaction before logging the current user off automatically. Setting this value to 0 (the default) means there is no timeout in effect.
  9. You can set an expiration time for passwords. Users cannot reset their own password; a member of the Administrator group must set the password for them. The default is for passwords never to expire.
  10. Place a checkmark in the Account Disabled checkbox if you want to disable a user account without removing the user from the system.
  11. Click the Groups button to add this user to various local security groups. The Group Memberships dialog box appears. The built-in groups are Administrators, Guests, Operators, and System Operators. Any groups you have created are also shown.
  12. To enter a user in a group, highlight the group in the Not Member of field and click the Add button. To remove a user from membership in a group, highlight a group in the Member of field and click the Remove button.
    Note When you add an individual user whose individual account has a security level different than that of the group, that user has the higher of the security levels.
  13. Click the OK button.


Creating Group Accounts

  1. In the User Account Manager, select User»New Local Group.
  2. Assign a name to the group in the Group Name field.
  3. Enter a description of the group in the Description field.
  4. Assign the security level for members of this group in the Security Level field.
    Note When you add an individual user whose individual account has a security level different than that of the group, that user has the higher of the security levels.
  5. To add Members, click the Add button. The Add Users and Groups dialog box appears.
  6. The List Names From listbox selects the domain to list user names from. At this time, you are restricted to your local domain. Administrator and Guest are built-in users. Any users you have created are also shown.
  7. Highlight the names you want to add in the Names field, and click the Add button to add those users to your group.


Editing Accounts

The dialog boxes for editing users and groups are essentially the same as those for creating users and groups. Complete the following steps to modify user and group accounts.

  1. In the User Account Manager, either double-click the user or group you want to edit, or highlight the user or group and select User»Properties. The User Properties dialog box appears and displays information about user activity.
  2. Enter information into the User Properties dialog box fields as you would when creating user accounts or creating group accounts.
  3. Click the OK button.


Using Built-In User and Group Accounts

The National Instruments User Account Manager comes with several user accounts and groups built-in.

The built-in user accounts include Administrator, Everyone, Guest, and (nobody).

The built-in groups include Administrators, Guests, Operators, and System Operators. You cannot delete any of these accounts, though you can edit the properties of some of them.

The Administrator account overrides all other security settings and has access to everything in your application. This override extends to all individual accounts added to the Administrators group. You cannot delete the Administrator account or change its security level. You can set the password and enter the name and a description of the Administrator. You can add or remove individual user accounts from the Administrator group.

The (nobody) account cannot be edited or deleted, and does not actually appear as an account in the User Account Manager. This account is what your application defaults to when no authorized user is logged on. It always has a security level of 0.

You can edit all the properties of the Guest user account and of the Guests, Operators, and System Operators groups.


Important Information

Conventions

Warranty

Copyright

Trademarks

Warning Regarding Use of NI Products


Conventions

The following conventions appear in this help file:

» | The » symbol leads you through nested menu items and dialog box options to a final action. The sequence File»Page Setup»Options directs you to pull down the File menu, select the Page Setup item, and select Options from the last dialog box.
 | This icon denotes a note, which alerts you to important information.
bold | Bold text denotes items that you must select or click on in the software, such as menu items and dialog box options. Bold text also denotes parameter names, emphasis, or an introduction to a key concept.
green | Underlined text in this color denotes a link to a help topic, help file, or Web address.
monospace | This font is used for the proper names of disk drives, paths, directories, programs, subprograms, subroutines, device names, functions, operations, variables, filenames and extensions, and code excerpts.


Warranty

The media on which you receive National Instruments software are warranted not to fail to execute programming instructions, due to defects in materials and workmanship, for a period of 90 days from date of shipment, as evidenced by receipts or other documentation. National Instruments will, at its option, repair or replace software media that do not execute programming instructions if National Instruments receives notice of such defects during the warranty period. National Instruments does not warrant that the operation of the software shall be uninterrupted or error free.

A Return Material Authorization (RMA) number must be obtained from the factory and clearly marked on the outside of the package before any equipment will be accepted for warranty work. National Instruments will pay the shipping costs of returning to the owner parts which are covered by warranty.

National Instruments believes that the information in this document is accurate. The document has been carefully reviewed for technical accuracy. In the event that technical or typographical errors exist, National Instruments reserves the right to make changes to subsequent editions of this document without prior notice to holders of this edition. The reader should consult National Instruments if errors are suspected. In no event shall National Instruments be liable for any damages arising out of or related to this document or the information contained in it.

Except as specified herein, National Instruments makes no warranties, express or implied, and specifically disclaims any warranty of merchantability or fitness for a particular purpose. Customer's right to recover damages caused by fault or negligence on the part of National Instruments shall be limited to the amount theretofore paid by the customer. National Instruments will not be liable for damages resulting from loss of data, profits, use of products, or incidental or consequential damages, even if advised of the possibility thereof. This limitation of the liability of National Instruments will apply regardless of the form of action, whether in contract or tort, including negligence. Any action against National Instruments must be brought within one year after the cause of action accrues. National Instruments shall not be liable for any delay in performance due to causes beyond its reasonable control. The warranty provided herein does not cover damages, defects, malfunctions, or service failures caused by owner's failure to follow the National Instruments installation, operation, or maintenance instructions; owner's modification of the product; owner's abuse, misuse, or negligent acts; and power failure or surges, fire, flood, accident, actions of third parties, or other events outside reasonable control.


Copyright

Under the copyright laws, this publication may not be reproduced or transmitted in any form, electronic or mechanical, including photocopying, recording, storing in an information retrieval system, or translating, in whole or in part, without the prior written consent of National Instruments Corporation.


Trademarks

National Instruments™ and ni.com™ are trademarks of National Instruments Corporation.

Product and company names mentioned herein are trademarks or trade names of their respective companies.


WARNING REGARDING USE OF NATIONAL INSTRUMENTS PRODUCTS

(1) National Instruments products are not designed with components and testing for a level of reliability suitable for use in or in connection with surgical implants or as critical components in any life support systems whose failure to perform can reasonably be expected to cause significant injury to a human.

(2) In any application, including the above, reliability of operation of the software products can be impaired by adverse factors, including but not limited to fluctuations in electrical power supply, computer hardware malfunctions, computer operating system software fitness, fitness of compilers and development software used to develop an application, installation errors, software and hardware compatibility problems, malfunctions or failures of electronic monitoring or control devices, transient failures of electronic systems (hardware and/or software), unanticipated uses or misuses, or errors on the part of the user or applications designer (adverse factors such as these are hereafter collectively termed "system failures"). Any application where a system failure would create a risk of harm to property or persons (including the risk of bodily injury and death) should not be reliant solely upon one form of electronic system due to the risk of system failure. To avoid damage, injury, or death, the user or application designer must take reasonably prudent steps to protect against system failures, including but not limited to back-up or shut down mechanisms. Because each end-user system is customized and differs from National Instruments' testing platforms and because a user or application designer may use National Instruments products in combination with other products in a manner not evaluated or contemplated by National Instruments, the user or application designer is ultimately responsible for verifying and validating the suitability of National Instruments products whenever National Instruments products are incorporated in a system or application, including, without limitation, the appropriate design, process and safety level of such system or application.


Technical Support and Professional Services

Visit the following sections of the National Instruments Web site at ni.com for technical support and professional services:

  • Support—Online technical support resources include the following:
    • Self-Help Resources—For immediate answers and solutions, visit our extensive library of technical support resources available in English, Japanese, and Spanish at ni.com/support. These resources are available for most products at no cost to registered users and include software drivers and updates, a KnowledgeBase, product manuals, step-by-step troubleshooting wizards, conformity documentation, example code, tutorials and application notes, instrument drivers, discussion forums, a measurement glossary, and so on.
    • Assisted Support Options—Contact NI engineers and other measurement and automation professionals by visiting ni.com/support. Our online system helps you define your question and connects you to the experts by phone, discussion forum, or email.
  • Training—Visit ni.com/custed for self-paced tutorials, videos, and interactive CDs. You also can register for instructor-led, hands-on courses at locations around the world.
  • System Integration—If you have time constraints, limited in-house technical resources, or other project challenges, NI Alliance Program members can help. To learn more, call your local NI office or visit ni.com/alliance.

If you searched ni.com and could not find the answers you need, contact your local office or NI corporate headquarters. You can also visit the Worldwide Offices section of ni.com/niglobal to access the branch office Web sites, which provide up-to-date contact information, support phone numbers, email addresses, and current events.


Branch Offices

Office | Telephone Number
Australia | 03 9879 5166
Austria | 0662 45 79 90 0
Belgium | 02 757 00 20
Brazil | 011 3262 3599
Canada (Calgary) | 403 274 9391
Canada (Montreal) | 514 288 5722
Canada (Ottawa) | 613 233 5949
Canada (Québec) | 514 694 8521
Canada (Toronto) | 905 785 0085
China (Shanghai) | 021 6555 7838
China (ShenZhen) | 0755 3904939
Czech Republic | 02 2423 5724
Denmark | 45 76 26 00
Finland | 09 725 725 11
France | 01 48 14 24 24
Germany | 089 741 31 30
Greece | 30 1 42 96 427
Hong Kong | 2645 3186
India | 91 80 535 5406
Israel | 03 6393737
Italy | 02 413091
Japan | 03 5472 2970
Korea | 02 3451 3400
Malaysia | 603 9596711
Mexico | 001 800 010 0793
Netherlands | 0348 433466
New Zealand | 09 914 0488
Norway | 32 27 73 00
Poland | 0 22 3390 150
Portugal | 351 210 311 210
Russia | 095 238 7139
Singapore | 2265886
Slovenia | 386 3 425 4200
South Africa | 11 805 8197
Spain | 91 640 0085
Sweden | 08 587 895 00
Switzerland | 056 200 51 51
Taiwan | 02 2528 7227
United Kingdom | 01635 523545
United States (Corporate) | 512 683 0100